Difference between revisions of "Installation/de"

From Gramps
Jump to: navigation, search
m (Automatischer Download und Installation von GRAMPS)
(40 intermediate revisions by 4 users not shown)
Line 1: Line 1:
 
{{languages/de|Installation}}
 
{{languages/de|Installation}}
[[Category:De:Documentation]]
 
 
  
 
== Letzte veröffentlichte Version ==
 
== Letzte veröffentlichte Version ==
  
Die zuletzt veröffentlichte Version ist '''GRAMPS''' {{version}}. Es kann sein, das noch nicht zur Installation für ihre Umgebung zur Verfügung steht. Bitte besuche die [[Download]]seite für mehr Informationen.
+
Die zuletzt veröffentlichte Version ist '''Gramps''' {{version}}. Es kann sein, das sie noch nicht zur Installation für deine Umgebung zur Verfügung steht. Bitte besuche die [[Download]]seite für mehr Informationen.
  
==Aktualisieren auf die aktuelle Version==
+
==Gramps aktualisieren==
Wenn sie '''GRAMPS aktualisieren''' von einer älteren Version, sollten sie vorher folgende Schritte durchführen:
+
  
# Verwenden sie ihre '''alte Version von GRAMPS''' zum '''Export''' ihres Stammbaums nach GRAMPS XML ('''privat Optionen deaktivieren''' im Exportassistent)
+
{{man warn|1=Warnung|2=Wenn du von einer älteren Version '''Gramps aktualisierst''', solltest du vorher diesen Anweisungen follgen.}}
# '''Deinstallieren''' ihre alte Version von GRAMPS
+
# '''Installieren''' die neue Version von GRAMPS wie weiter unten beschrieben.
+
# '''Erstellen''' einen neuen Stammbaum
+
# '''Importieren''' ihre alten GRAMPS XML Daten
+
  
==Zusätzliche Software, von der GRAMPS profitiert==
+
Wenn du von einer älteren Version '''Gramps aktualisierst''', solltest du vorher folgende Schritte durchführen:
GRAMPS benötigt die folgenden Programme nicht zwingend, sie verbessern aber seine Funktionalität:
+
 
 +
# Verwende deine '''alte Version von Gramps''' zum '''Sichern'' oder '''Export''' deines Stammbaums nach Gramps XML (du findest Sicherung im Stammbaummenü der aktuellen Gramps Versionen, sonst verwende Export in dem selben Menü aber deaktiviere die '''vertraulich''' Optionen im Exportassistenten um alle Daten zu exportieren).
 +
# '''Deinstalliere''' deine alte Version von Gramps
 +
# '''Installiere''' die neue Version von Gramps wie weiter unten beschrieben.
 +
# '''Öffne''' deinen bestehenden Stammbaum.
 +
:# Normalerweise funktioniert öffnen und aktualisiert deine Daten wenn benötigt. Wenn erfolgreich speichere die Sicherung, die du erstellt hast, an einem sicheren Ort.
 +
:# In dem Fall, dass das Öffnen oder Aktualisieren deine bestehenden Stammbaums fehlschlägt, tue folgendes:
 +
::# '''Erstelle''' einen neuen Stammbaum
 +
::# '''Importiere''' deine alten Gramps XML Daten in diesen Stammbaum
 +
 
 +
==Zusätzliche Software, von der Gramps profitiert==
 +
Gramps benötigt die folgenden Programme nicht zwingend, sie verbessern aber seine Funktionalität:
  
 
* '''Rechtschreibprüfung''': Die Installation von python-gnome2-extras und python-enchant stellt das gtkspell Modul und das enchant Modul zur Verfügung, welche die Rechtschreibprüfung in den Notizen ermöglichen.
 
* '''Rechtschreibprüfung''': Die Installation von python-gnome2-extras und python-enchant stellt das gtkspell Modul und das enchant Modul zur Verfügung, welche die Rechtschreibprüfung in den Notizen ermöglichen.
* '''Graphviz''', '''Inkscape''': GRAMPS kann damit nette Stammbäume und Graphen erstellen. Diese werden durch das Graphviz Paket erstellt, welches einen Kode (dot) wie auch Programme zum erstellen von Grafen (dotty, zum Aufruf von der Komandozeile) liefert. Dies gib dir als Forscher den größten Einfluss wie deine Grafen aussehen werden, aber es benötigt einen Lernprozess. Eine Alternative ist einen grafischen Bericht zu erstellen, den Baum in eine svg Datei umzuwandeln, welche sie dann öffnen/bearbeiten/aufbereiten können in z.B. Inkscape.
+
* '''Graphviz''', '''Inkscape''': Gramps kann damit nette Stammbäume und Graphen erstellen. Diese werden durch das Graphviz Paket erstellt, welches einen Code (dot) wie auch Programme zum erstellen von Grafen (dotty, zum Aufruf von der Kommandozeile) liefert. Dies gib dir als Forscher den größten Einfluss wie deine Grafen aussehen werden, aber es benötigt einen Lernprozess. Eine Alternative ist einen grafischen Bericht zu erstellen, den Baum in eine svg Datei umzuwandeln, welche du dann öffnen/bearbeiten/aufbereiten kannst in z.B. Inkscape.
 
* '''ttf-freefont''': Nützliche Schriftarten, da sie UNICODE unterstützen und somit fast jedes Zeichen anzeigen können.
 
* '''ttf-freefont''': Nützliche Schriftarten, da sie UNICODE unterstützen und somit fast jedes Zeichen anzeigen können.
  
 
* '''[http://portland.freedesktop.org/wiki/ XdgUtils]''' is a set of command line tools that assist applications with a variety of desktop integration tasks. About half of the tools focus on tasks commonly required during the installation of a desktop application and the other half focuses on integration with the desktop environment while the application is running. Even if the desktop components of your application are limited to an installer, configuration or management tool, Xdg-utils provides you with an easy way to enhance the usage experience of your customers by improving the integration of these components in the user's environment.
 
* '''[http://portland.freedesktop.org/wiki/ XdgUtils]''' is a set of command line tools that assist applications with a variety of desktop integration tasks. About half of the tools focus on tasks commonly required during the installation of a desktop application and the other half focuses on integration with the desktop environment while the application is running. Even if the desktop components of your application are limited to an installer, configuration or management tool, Xdg-utils provides you with an easy way to enhance the usage experience of your customers by improving the integration of these components in the user's environment.
 +
 +
* '''[http://tilloy.net/dev/pyexiv2/overview.html pyexiv2]''' ist ein Modul welches Gramps ermöglicht in Bilder eingebundene Metadaten zu lesen und zu schreiben. Es wird im Metadatenbetrachter und den Bildmetadatengramplets verwendet.
  
 
Andere Pakete, die auch nützlich sein können:
 
Andere Pakete, die auch nützlich sein können:
  
* '''desktop-file-utils''': um eine Liste von Programmen zum öffnen von Mediendateien bei einem Rechtsklick auf ein Bild zu sehen.
+
* '''[http://www.freedesktop.org/wiki/Software/desktop-file-utils desktop-file-utils]'': um eine Liste von Programmen zum öffnen von Mediendateien bei einem Rechtsklick auf ein Bild zu sehen.
  
 
==Linux==
 
==Linux==
  
===Automatischer Download und Installation von GRAMPS===
+
===Automatischer Download und Installation von Gramps===
Bevor du Gramps von dieser Seite herunterlädst, schaue ob das Paketdepot deines Betriebssystems die aktuelle Version enthält. Um zu erfahren, was die aktuelle Version ist, besuche [http://sourceforge.net/project/showfiles.php?group_id=25770&package_id=109309 GRAMPS stable auf Sourceforge] und schaue auf die Versionsnummer des obersten Pakets.
+
Bevor du Gramps von dieser Seite herunterlädst, schaue ob das Paketdepot deines Betriebssystems die aktuelle Version {{version}} enthält. Du kannst auch [http://sourceforge.net/projects/gramps/files/Stable/ Gramps stabil auf Sourceforge] besuchen und auf die Versionsnummer des obersten Pakets schauen.
  
 
Um die Verfügbarkeit insbesondere für dein Linux Betriebssystem zu überprüfen sind unten einige Möglichkeiten aufgelistet:
 
Um die Verfügbarkeit insbesondere für dein Linux Betriebssystem zu überprüfen sind unten einige Möglichkeiten aufgelistet:
Line 55: Line 61:
 
|}
 
|}
  
===Mannueller Download und Installation von GRAMPS===
+
===Manueller Download und Installation von Gramps===
If your Linux operating systems repository does not have the current version, then you may be able to download it from this site. Some helpful users of GRAMPS have made packages for various systems. If you are lucky you'll find your system below. If it's missing you can contact the developers email list for advice.
+
Wenn dein Linux Betriebssystem Repository nicht die aktuelle Version enthält, kann es sein, das du sie von hier herunter laden kannst. Einige hilfreiche Anwender von Gramps haben Pakete für verschiedene Systeme erstellt. Wenn du Glück hast, findest du dein System weiter nachstehend. Wenn es fehlt, kannst du die Entwickler Mailingliste für Vorschläge kontaktieren.
  
 
====Ubuntu und Derivate====
 
====Ubuntu und Derivate====
Depot Pakete für '''Ubuntu''' und Derivate (Kubuntu, Mephis, LinuxMint, ...): sind verfügbar unter[http://sourceforge.net/project/showfiles.php?group_id=25770 GRAMPS Download Seite].
+
Depot Pakete für '''Ubuntu''' und Derivate (Kubuntu, Mephis, LinuxMint, ...): sind verfügbar unter[http://sourceforge.net/project/showfiles.php?group_id=25770 Gramps Download Seite].
 +
 
 +
{{cleanup/de}}
  
 
{|{{prettytable}}
 
{|{{prettytable}}
 
!Ubuntu (Version)
 
!Ubuntu (Version)
! GRAMPS<br>Release
+
! Gramps<br>Version
 
!Download
 
!Download
 
|-
 
|-
 
|<!-- Ubuntu (Version) --> (10.10)
 
|<!-- Ubuntu (Version) --> (10.10)
|<!-- GRAMPS<br>Release -->3.2.5
+
|<!-- Gramps<br>Version -->3.3.2
|<!-- Download -->[http://sourceforge.net/projects/gramps/files/Stable/3.2.5/gramps_3.2.5-1_ubuntu10.deb/download gramps_3.2.5-1_ubuntu10.deb]  
+
|<!-- Download -->[http://sourceforge.net/projects/gramps/files/Stable/3.3.2/gramps_3.3.2-1_Ubuntu.deb/download gramps_3.3.2-1.deb]
 
|-
 
|-
 
|<!-- Ubuntu (Version) --> (10.04)
 
|<!-- Ubuntu (Version) --> (10.04)
|<!-- GRAMPS<br>Release -->3.2.5
+
|<!-- Gramps<br>Version -->3.3.2
|<!-- Download -->[http://sourceforge.net/projects/gramps/files/Stable/3.2.4/gramps_3.2.5-1_ubuntu10.deb/download gramps_3.2.5-1_ubuntu10.deb]
+
|<!-- Download -->[http://sourceforge.net/projects/gramps/files/Stable/3.3.2/gramps_3.3.2-1_Ubuntu.deb/download gramps_3.3.2-1.deb]  
 
|-
 
|-
 
|<!-- Ubuntu (Version) --> (9.10)
 
|<!-- Ubuntu (Version) --> (9.10)
|<!-- GRAMPS<br>Release -->3.2.2
+
|<!-- Gramps<br>Version -->3.2.6
|<!-- Download -->[http://sourceforge.net/projects/gramps/files/Stable/3.2.2/gramps_3.2.2-1_ubuntu09.deb/download gramps_3.2.2-1_Ubuntu09.deb]  
+
|<!-- Download -->[http://sourceforge.net/projects/gramps/files/Stable/3.2.6/gramps_3.2.6-1_ubuntu09.deb/download gramps_3.2.6-1_Ubuntu09.deb]  
 
|-
 
|-
 
|<!-- Ubuntu (Version) -->Jaunty Jackalope (9.04)
 
|<!-- Ubuntu (Version) -->Jaunty Jackalope (9.04)
|<!-- GRAMPS<br>Release -->3.2.2
+
|<!-- Gramps<br>Version -->3.2.6
|<!-- Download -->[http://sourceforge.net/projects/gramps/files/Stable/3.2.2/gramps_3.2.2-1_ubuntu09.deb/download gramps_3.2.2-1_Ubuntu09.deb]  
+
|<!-- Download -->[http://sourceforge.net/projects/gramps/files/Stable/3.2.2/gramps_3.2.6-1_ubuntu09.deb/download gramps_3.2.6-1_Ubuntu09.deb]  
 
|-
 
|-
 
|<!-- Ubuntu (Version) -->Intrepid Ibex (8.10)
 
|<!-- Ubuntu (Version) -->Intrepid Ibex (8.10)
Line 87: Line 95:
 
|-
 
|-
 
|<!-- Ubuntu (Version) -->Hardy (8.04)
 
|<!-- Ubuntu (Version) -->Hardy (8.04)
|<!-- GRAMPS<br>Release -->3.1.3
+
|<!-- Gramps<br>Version -->3.1.3
 
|<!-- Download -->[http://sourceforge.net/projects/gramps/files/Stable/3.1.3/gramps-3.1.3-1_Ubuntu.deb/download gramps-3.1.3-1_Ubuntu.deb]
 
|<!-- Download -->[http://sourceforge.net/projects/gramps/files/Stable/3.1.3/gramps-3.1.3-1_Ubuntu.deb/download gramps-3.1.3-1_Ubuntu.deb]
 
|-
 
|-
 
|<!-- Ubuntu (Version) -->Gutsy (7.10)
 
|<!-- Ubuntu (Version) -->Gutsy (7.10)
|<!-- GRAMPS<br>Release -->3.0.3
+
|<!-- Gramps<br>Version -->3.0.3
 
|<!-- Download -->[http://sourceforge.net/project/showfiles.php?group_id=25770  gramps_3.0.3-1_ubuntu710.deb]
 
|<!-- Download -->[http://sourceforge.net/project/showfiles.php?group_id=25770  gramps_3.0.3-1_ubuntu710.deb]
 
|-
 
|-
 
|<!-- Ubuntu (Version) -->Feisty (7.04)
 
|<!-- Ubuntu (Version) -->Feisty (7.04)
|<!-- GRAMPS<br>Release -->2.2.10
+
|<!-- Gramps<br>Version -->2.2.10
|<!-- Download -->Download [http://sourceforge.net/project/showfiles.php?group_id=25770 gramps_2.2.10-1_all.deb]<br>und [http://sourceforge.net/project/showfiles.php?group_id=25770 gramps-help_2.2.10-1_all.deb], und mit ihrem Paketmanager installieren.
+
|<!-- Download -->Download [http://sourceforge.net/project/showfiles.php?group_id=25770 gramps_2.2.10-1_all.deb]<br>und [http://sourceforge.net/project/showfiles.php?group_id=25770 gramps-help_2.2.10-1_all.deb], und mit deinem Paketmanager installieren.
 
|-
 
|-
 
|<!-- Ubuntu (Version) -->Dapper, Edgy<br> und frühere Versionen von Ubuntu
 
|<!-- Ubuntu (Version) -->Dapper, Edgy<br> und frühere Versionen von Ubuntu
|<!-- GRAMPS<br>Release -->2.2.8
+
|<!-- Gramps<br>Version -->2.2.8
 
|<!-- Download -->Download [http://sourceforge.net/project/showfiles.php?group_id=25770 gramps_2.2.8-1dapper1_all.deb]<br>und [http://sourceforge.net/project/showfiles.php?group_id=25770 gramps-help_2.2.8-1dapper1_all.deb], und mit ihrem Paketmanager installieren.
 
|<!-- Download -->Download [http://sourceforge.net/project/showfiles.php?group_id=25770 gramps_2.2.8-1dapper1_all.deb]<br>und [http://sourceforge.net/project/showfiles.php?group_id=25770 gramps-help_2.2.8-1dapper1_all.deb], und mit ihrem Paketmanager installieren.
 
|}
 
|}
  
 
====Debian====
 
====Debian====
'''Debian''': die letzte Version sollte sich im ''unstable'' Depot befinden ([http://packages.debian.org/sid/gramps Sid Gramps]) und kann von deinem Paketmanager aktualisiert werden. Das ''testing'' Depot is wird 10 Tage später aktualisiert (außer kurz vor einer stabilen Version), siehe [http://packages.debian.org/testing/gramps Testing Gramps]. Veröffentlichte Versionen von Debian ("etch" und "lenny") enthalten ältere Versionen von Gramps, siehe Liste auf [http://packages.debian.org/search?keywords=gramps Versionen von Gramps in Debian].
+
'''Debian''': die letzte Version sollte sich im ''unstable'' Depot befinden ([http://packages.debian.org/sid/gramps Sid Gramps]) und kann von deinem Paketmanager aktualisiert werden. Das ''testing'' Depot wird 10 Tage später aktualisiert (außer kurz vor einer stabilen Version), siehe [http://packages.debian.org/testing/gramps Testing Gramps]. Veröffentlichte Versionen von Debian ("etch" und "lenny") enthalten ältere Versionen von Gramps, siehe Liste auf [http://packages.debian.org/search?keywords=gramps Versionen von Gramps in Debian].
  
 
====SuSE====
 
====SuSE====
'''SuSE''': Richard Bos hat die Grampsversion für OpenSuse zur Verfügung gestellt. Das Repository für OpenSUSE 11.1 ist verfügbar unter [http://download.opensuse.org/repositories/Education/openSUSE_11.1/] oder [http://download.opensuse.org/repositories/home:/cornelisbb/]. Note that at the time of writing this repository is not the same as that in the repository list as "Education" and must be added as a URL. Die Repository für  11.0 ist [http://download.opensuse.org/repositories/Education/openSUSE_11.0/] und 10.3 ist [http://download.opensuse.org/repositories/Education/openSUSE_10.3/]. Für frühere Versionen von OpenSUSE (10.2) siehe den Forumseintrag über [http://www.suseforums.net/index.php?s=22f80a050a1e3cffffd590db0813dea9&showtopic=28727&pid=152093&st=0&#entry152093 satisfying GRAMPS dependencies for SuSE with the ''rbos'' and SMART]. Also, there is [[OpenSUSE_RPM|an other alternative using openSUSE BuildService]].
+
'''SuSE''': Richard Bos hat die Grampsversion für OpenSuse zur Verfügung gestellt. Das Repository für OpenSUSE 11.1 ist verfügbar unter [http://download.opensuse.org/repositories/Education/openSUSE_11.1/] oder [http://download.opensuse.org/repositories/home:/cornelisbb/]. Beachte zum Zeitpunkt des schhreibens ist dieses Reposutory nicht das selbe wie "Education" aus der Repositoryliste und muss manuel als URL hinzugefügt werden. Das Repository für  11.0 ist [http://download.opensuse.org/repositories/Education/openSUSE_11.0/] und für 10.3 [http://download.opensuse.org/repositories/Education/openSUSE_10.3/]. Für frühere Versionen von OpenSUSE (10.2) siehe den Forumseintrag über [http://www.suseforums.net/index.php?s=22f80a050a1e3cffffd590db0813dea9&showtopic=28727&pid=152093&st=0&#entry152093 erfüllen von Gramps Abhängigkeiten für SuSE mit ''rbos'' und SMART]. Es gibt noch  [[OpenSUSE_RPM|eine weitere Möglichkeit verwende den openSUSE BuildService]].
  
 
====Mandriva====
 
====Mandriva====
'''Mandriva''': Newer versions of GRAMPS are sometimes backported. To install backports you must enable the ''backports'' repository (make sure you understand the instructions on the [http://wiki.mandriva.com/en/Docs/Basic_tasks/Installing_and_removing_software#Advanced_use:_Backports_and_candidate_updates Mandriva wiki]). If the latest version is not in the ''backports'' repository you cab try the ''contrib'' repository.
+
'''Mandriva''': Neuere Versionen werden manchmal zurück portiert. Um zurück portierte Software zu installieren, musst du das ''backports'' Repository aktivieren (stelle sicher, das du die Anweisungen auf dem [http://wiki.mandriva.com/en/Docs/Basic_tasks/Installing_and_removing_software#Advanced_use:_Backports_and_candidate_updates Mandriva Wiki] verstehst). Wenn die neueste Version nicht im ''backports'' Repository vorhanden ist, kannst du es im ''contrib'' Repository versuchen.
  
 
====Fedora====
 
====Fedora====
'''Fedora''': For Fedora Core look on the [http://sourceforge.net/project/showfiles.php?group_id=25770 GRAMPS download page] for a package containing ''fc'' with your number and ending with ''.rpm''. The alternative to installing from source is to [[fedora rpm|build a package]] from an rpm spec file, or install a binary from fedora testing.
+
'''Fedora''': Für Fedora Core siehe auf der [http://sourceforge.net/projects/gramps/files/ Gramps download Seite] nach einem Paket mit ''fc'' und der Endung ''.rpm''. Die Alternative zur Installation aus den Quellen, ist das [[fedora rpm|Erstellen eines Pakets]] (englisch) von einer rpm spec Datei oder ein Binary aus fedora testing zu installieren.
  
===Slackware===
+
====Slackware====
'''Slackware 13.0''': Gramps 3.2.3 ist verfügbar über [http://www.linuxpackages.net/pkg_details.php?id=13253 LinuxPackages].
+
'''Slackware 13.0''': Gramps 3.2.5 ist verfügbar über [http://www.linuxpackages.net/pkg_details.php?id=13368 LinuxPackages].
  
====Verschiedene GNU/Linux distributions====
+
====Verschiedene GNU/Linux Distributionen====
Different GNU/Linux distributions have other preferred ways to download and install packages for GRAMPS. Please read the installation instructions specific to your distribution before downloading.
+
Verschiedene GNU/Linux Distributionen haben andere bevorzugte Wege Pakete für Gramps herunter zu laden und zu installieren. Bitte lies vor dem Herunterladen die Installationsanweisungen für deine Distribution.
  
In all other cases, you must [http://sourceforge.net/project/showfiles.php?group_id=25770 download] the source package (the file ending with '.tar.gz') and install GRAMPS manually. See the section about installing from source for details.
+
In allen anderen Fällen musst du die Quellpakete [http://sourceforge.net/projects/gramps/files/ herunterladen] (die Datei mit der Endung '.tar.gz') und Gramps manuell installieren. Siehe den Abschnitt installieren aus der Quelle für Details.
  
 
===Gnome und KDE===
 
===Gnome und KDE===
Du kannst GRAMPS sowohl in GNOME als auch KDE verwenden, es passt nur besser in GNOME, da es in KDE ein paar wenige Probleme mit GTK gibt. [[KDE page|Genauere Informationen über die KDE-Probleme...]]
+
Du kannst Gramps sowohl in GNOME als auch KDE verwenden, es passt nur besser in GNOME, da es in KDE ein paar wenige Probleme mit GTK gibt. [[KDE page|Genauere Informationen über die KDE-Probleme...]]
  
===GRAMPS auf Handhelds===
+
===Gramps auf Handhelds===
GRAMPS can run fine on some small-factor devices. Anwender waren erfolgreich bei der Verwendung von GRAMPS auf:  
+
Gramps läuft hervorragend auf einigen Handhelds. Anwender waren erfolgreich bei der Verwendung von Gramps auf:  
 
* [[Gramps on the Eee|Asus Eee PC]]  
 
* [[Gramps on the Eee|Asus Eee PC]]  
 
+
* [http://gramps-project.org/2011/01/gramps-mobile-interface-part-i/ Gramps Mobile Interface – Teil I]  & [http://gramps-project.org/2011/01/gramps-mobile-interface-%E2%80%93-part-ii/ Teil II]
  
 
===Live CD===
 
===Live CD===
Wenn du an GRAMPS interessiert bist, aber Angst hast oder unfähig bist es zu installieren (fremder PC, Windows, kein Internet zu Hause, Firmenlaptop) dann probiere unserere [[Linux Genealogy CD|Linux Genalogie Live-CD]]. Sie läuft ohne Installation auf die Festplatte und enthält eine Reihe von quelloffenen, kostenlosen Genealogieprogrammen. Du kannst dann jederzeit, wenn du möchtest, [http://ubuntu.com Ubuntu 8.04] und GRAMPS von der CD installieren.
+
Wenn du an Gramps interessiert bist, aber Angst hast oder unfähig bist es zu installieren (fremder PC, Windows, kein Internet zu Hause, Firmenlaptop) dann probiere unsere [[Linux Genealogy CD|Linux Genealogie Live-CD]]. Sie läuft ohne Installation auf die Festplatte und enthält eine Reihe von quelloffenen, kostenlosen Genealogieprogrammen. Du kannst dann jederzeit, wenn du möchtest, [http://www.ubuntulinux.org/ Ubuntu 10.10] und Gramps von der CD installieren.
  
 
==Windows, FreeBSD, MacOs, Solaris==
 
==Windows, FreeBSD, MacOs, Solaris==
 
===Windows===
 
===Windows===
Schau auf die Downloadseite für den [[Windows installer]], stelle sicher, das du die [[Windows_installer#Installation |Windows Abhängigkeiten]] zuerst heruntergeladen und installiert hast.
+
Es gibt drei verschiedene Möglichkeiten Gramps unter Windows zu Installieren/verwenden. Die Methode die du wählst hängt von ''deinen'' Anforderungen und wie viel Arbeit du in die Einrichtung deines Systems strecken willst ab.
*Weitere Informationen für Windowsuser befinden sich auf der Seite [[GRAMPS and Windows]].
+
In der Reihenfolge der Schwierigkeit:
 +
* Gramps All-in-one installer (AIO) - Obwohl noch in der Entwicklung gibt es mit dem AIO installer die wenigsten Probleme beim Einstieg siehe [[All In One Gramps Software Bundle for Windows|Alles in einem Softwarepaket für Windows]] für mehr Informationen.
 +
* Gramps Portable - Ermöglicht dir das Starten von Gramps von einem portablen Laufwerk und kann auf der lokalen Festplatte installiert werden siehe [http://portableapps.com/apps/education/gramps_portable PortableApps.com Gramps Portable] für mehr Informationen.
 +
* Gramps installer (minimal) - Stabiles Installationsprogramm aber du musst alle Abhängigkeiten von Gramps vor der Installation von Gramps installieren siehe [[Windows_installer#Installation | Installing Windows dependencies first.]]
  
====Installation von der Quelle====
+
Mehr Informationen über jede dieser Installationsmethoden gibt es auf der [[De:Download|Download]] Seite.
 
+
Glücklicherweise haben ein paar Leute hierfür einen [[Windows installer]] angefertigt. Bis jetzt liegen keine Berichte über schwerwiegende Unterschiede zwischen den offiziellen Builds von GRAMPS und dem Windows-Installer vor, daher sieht die Zukunft hoffnugsvoll aus, aber bitte verwende ihn auf eigenes Risiko.
+
 
+
 
+
===Mac OS X===
+
 
+
====Ready-built binary application====
+
Eine neue Portierung von Gramps auf den Mac ist verfügbar (September 2010). Diese ist relativ ungetestet und es ist ratsam die Daten vor der Verwendung sorgfältig zu sichern. Sie ist verfügbar als ready-built binary Applikation für beide Intel und PPC Macs.  
+
  
 +
*Weitere Informationen für Windowsanwender befinden sich auf der Seite [[Gramps and Windows|Gramps und Windows]].
  
 
====Installation von der Quelle====
 
====Installation von der Quelle====
  
Die pre-built binary Version ist auch als Entwicklungsumgebung verfügbar und kann auf jedem Mac mit Apple Xcode toolset von Grund auf erstellt werden.
+
Glücklicherweise haben ein paar Leute hierfür einen [[Windows installer]] angefertigt. Bis jetzt liegen keine Berichte über schwerwiegende Unterschiede zwischen den offiziellen Builds von Gramps und dem Windows-Installer vor, daher sieht die Zukunft hoffnungsvoll aus, aber bitte verwende ihn auf eigenes Risiko.
  
Macports und Fink Versionen von Gramps wurden verwendet. Eine Übersicht über die Installation von GRAMPS aus dem Quelltext ist zu finden unter [[Mac_OS_X|Installation vom Quellcode auf Mac OS X]]
+
===Mac OS X===
  
 +
Eine ready-to-run Anwendung für Mac OS X für Intel und PPC Apple Rechner ist seit September 2009 verfügbar. Es ist sehr ratsam die Daten vor der Verwendung des Programms sorgfältig zu sichern (besonders wenn du von einer früheren Gramps Version aktualisierst).
  
Die letzte Version von  MacPorts Gramps ist '''3.2.0'''.
+
Bitte lies die Installationsanleitung unter [[Mac OS X:Application package]] bevor du das Programm verwendest.
Die letzte offizielle stabile fink Version ist '''1.0.10''' für Mac OS X 10.4. Die letzte offizielle instabile fink Version ist '''3.0.4''' für Mac OS X 10.5.
+
  
 
===Free/OpenBSD und Solaris===
 
===Free/OpenBSD und Solaris===
  
 
Für FreeBSD und Solaris existieren unterhalb experimentelle Anleitungen zur Installation.
 
Für FreeBSD und Solaris existieren unterhalb experimentelle Anleitungen zur Installation.
* Für FreeBSD verwende die [http://portsmon.freebsd.org/portoverview.py?category=science&portname=gramps /usr/ports/science/gramps] Portierung. Im Fall eines Fehlers auf FreeBSD 8.0, lies [http://www.gramps-project.org/bugs/view.php?id=3228 ticket 3228].
+
* Für FreeBSD verwende die #{{bug|3228}}.
 
* Für OpenBSD verwende [http://openports.se/misc/gramps gramps port]
 
* Für OpenBSD verwende [http://openports.se/misc/gramps gramps port]
 
* Die Installation unter BSD ist ähnlich wie die unter Linux, abgesehen von evtl. anderen Paketnamen. Weitere Informationen gibt es auf der [[BSD page|BSD Seite]].
 
* Die Installation unter BSD ist ähnlich wie die unter Linux, abgesehen von evtl. anderen Paketnamen. Weitere Informationen gibt es auf der [[BSD page|BSD Seite]].
* GRAMPS wurde erfollgreich vom Quellkode installiert auf Solaris 10 (SPARC) und OpenSolaris X86 (2008.05). Bitte schau auf die [[Solaris Platforms|Solaris Seite]] für Schritt für Schritt Anleitung.
+
* Gramps wurde erfollgreich vom Quellkode installiert auf Solaris 10 (SPARC) und OpenSolaris X86 (2008.05). Bitte schau auf die [[Solaris Platforms|Solaris Seite]] für Schritt für Schritt Anleitung.
  
 
==Installation von den Quellen==
 
==Installation von den Quellen==
 
===Allgemeine Anforderungen===
 
===Allgemeine Anforderungen===
  
GRAMPS 3.2.x benötigt python 2.5 oder höher, pygtk2 2.12 oder höher, glade bindings und librsvg2
+
Gramps {{version}} benötigt python 2.6 oder höher, pygtk 2.16 oder höher und librsvg2
  
 
====Benötigte Linux Pakete====
 
====Benötigte Linux Pakete====
Line 183: Line 187:
 
|python
 
|python
 
|python  
 
|python  
|Benötigt (Version 2.5 oder höher)
+
|Benötigt (Version 2.6 oder höher)
 
|-
 
|-
 
|pygtk2
 
|pygtk2
 
|pygtk2
 
|pygtk2
|Benötigt (Version 2.12 oder höher)
+
|Benötigt (Version 2.16 oder höher)
 
|-
 
|-
 
|xdg-utils
 
|xdg-utils
 
|xdg-utils
 
|xdg-utils
 
|Benötigt für Gramps-3.1.x oder höher
 
|Benötigt für Gramps-3.1.x oder höher
 +
|-
 +
|[http://docs.python.org/library/bsddb.html BSDDB]
 +
|[http://docs.python.org/library/bsddb.html BSDDB]
 +
|Aktuelle Datenbank
 
|-
 
|-
 
|rcs
 
|rcs
Line 199: Line 207:
 
|python-gnome2-extras
 
|python-gnome2-extras
 
|gnome-python2-gtkspell
 
|gnome-python2-gtkspell
|Empfohlen für den Betrieb (Rechtschreibprüfung)
 
|-
 
|python-enchant
 
|
 
 
|Empfohlen für den Betrieb (Rechtschreibprüfung)
 
|Empfohlen für den Betrieb (Rechtschreibprüfung)
 
|-
 
|-
Line 212: Line 216:
 
|
 
|
 
|Erforderlich für die Erstellung
 
|Erforderlich für die Erstellung
|-
 
|python-glade2
 
|
 
|Benötigt
 
 
|-
 
|-
 
|
 
|
 
|librsvg2-devel
 
|librsvg2-devel
 
|Erforderlich für die Erstellung
 
|Erforderlich für die Erstellung
|-
 
|
 
|gnome-common
 
|Required for building
 
 
|-
 
|-
 
|intltool
 
|intltool
 
|intltool
 
|intltool
|Erforderlich für die Erstellung
 
|-
 
|
 
|gnome-doc-utils
 
 
|Erforderlich für die Erstellung
 
|Erforderlich für die Erstellung
 
|-
 
|-
Line 239: Line 231:
 
|
 
|
 
| WebKit-gtk pywebkitgtk
 
| WebKit-gtk pywebkitgtk
| Benötigt für [[GeoView|GeoAnsicht]]
+
| Benötigt für HTML
 
|-
 
|-
 
|
 
|
 
| goocanvas pygoocanvas
 
| goocanvas pygoocanvas
| Benötigt für[[Graph View|Grafikansicht]]
+
| Benötigt für HTML
 
|-
 
|-
 
|
 
|
Line 251: Line 243:
 
|
 
|
 
|Django
 
|Django
|Benötigt für http://gramps-connect.org
+
|Benötigt für http://gramps-connect.org [[Gramps-Connect: Introduction|Gramps-Connect]]
 +
|-
 +
| python-pyexiv2
 +
| pyexiv2
 +
| Benötigt für Metadata Viewer und Image Metadata gramplets
 +
|-
 +
| libosmgpsmap-dev python-osmgpsmap
 +
| osm-gps-map
 +
| Benötigt für die Geografieansichten
 +
|-
 +
| gtk2-engines-pixbuf
 +
|
 +
| Behebt das Prooblem 'Unable to locate theme engine in module_path: "pixmap"'
 
|}
 
|}
  
Line 261: Line 265:
 
  pywebkitgtk goocanvas pygoocanvas graphviz graphviz-python Django
 
  pywebkitgtk goocanvas pygoocanvas graphviz graphviz-python Django
 
</pre>
 
</pre>
 +
 
====Quellen herunterladen====
 
====Quellen herunterladen====
  
Es gibt zwei Wege an den Quellcode zu gelangen: download a stable version source, or checkout the source from svn. Please, now is the time to read the [http://gramps.svn.sourceforge.net/viewvc/gramps/trunk/INSTALL?view=markup INSTALL] und [http://gramps.svn.sourceforge.net/viewvc/gramps/trunk/README?view=markup README] files accompanying the code. They come with the most recent information. Details on each download method:
+
Es gibt zwei Wege an den Quellcode zu gelangen: download a stable version source, or checkout the source from svn. Jetzt ist es Zeit die [http://gramps.svn.sourceforge.net/viewvc/gramps/trunk/INSTALL?view=markup INSTALL] und [http://gramps.svn.sourceforge.net/viewvc/gramps/trunk/README?view=markup README] Datei zu lesen, die dem Code beigefügt sind. Sie enthalten die neuesten Informationen. Details zu jeder download Methode:
  
 
'''1. Download einer stabilen Version'''
 
'''1. Download einer stabilen Version'''
  
* Die letzten Stable-Version von GRAMPS findest du auf der [http://sourceforge.net/projects/gramps SourceForge-Seite]. Z.B.:gramps-3.2.2.tar.gz. Entpacke diese Datei in ein Verzeichnis: <code>
+
* Die letzten stabile Version von Gramps findest du im [http://sourceforge.net/projects/gramps/files/ SourceForge Datei Bereich]. Z.B.:gramps-{{version}}.tar.gz. Entpacke diese Datei in ein Verzeichnis: <code>
 
   tar xzvf gramps-zzz.tar.gz
 
   tar xzvf gramps-zzz.tar.gz
 
</code> wechsele in dieses Verzeichnis:<code>
 
</code> wechsele in dieses Verzeichnis:<code>
 
   cd gramps-zzz
 
   cd gramps-zzz
 
</code>
 
</code>
* Wenn du an der letzten Entwicklerversion interessiert bist, versuche es mit SVN ([[Brief introduction to SVN#Unstable_development:_.22trunk.22|Kurzanleitung SVN]]. Die SVN-Version von GRAMPS ist potenziell gefährlich, da sie nicht getestet wurde. Sie kann zu Abstürzen und Datenverlusten führen. Bitte benutze sie mit Vorsicht- und nur mit einer Kopie deiner Daten!
+
* Wenn du an der letzten Entwicklerversion interessiert bist, versuche es mit SVN ([[Brief introduction to SVN#Unstable_development:_.22trunk.22|Kurzanleitung SVN]]. Die SVN-Version von Gramps ist potenziell gefährlich, da sie nicht getestet wurde. Sie kann zu Abstürzen und Datenverlusten führen. Bitte verwende sie mit Vorsicht- und nur mit einer Kopie deiner Daten!
  
'''2. Download von SVN'''
+
'''2. Herunterladen von SVN'''
  
 
You can get a branch version (similar as above) or the latest bleeding-edge version through SVN, such as:
 
You can get a branch version (similar as above) or the latest bleeding-edge version through SVN, such as:
  
svn co https://gramps.svn.sourceforge.net/svnroot/gramps gramps
+
  svn co https://svn.code.sf.net/p/gramps/code/tags/gramps-3.4.2/ gramps
oder
+
svn co https://gramps.svn.sourceforge.net/svnroot/gramps/tags/gramps-3.2.2 gramps
+
  
for the most recent development version, see [[Running a development version of Gramps]].
+
für die letzte Entwickler Version siehe [[Getting started with Gramps Trunk| Mit Gramps Trunk beginnen]].
  
====GRAMPS aktualisieren====
+
====Gramps aktualisieren====
  
If you have an older version of the GRAMPS source code installed you need to make a decision what you want to do with it before installing a later version. If you wish to keep the old version, make sure that you read the instructions in the INSTALL file regarding the use of the --prefix option to specify where the new version gets installed.
+
Wenn du eine ältere Version von Gramps aus den Quellen installiert hast, musst du dich entscheiden, was du mit ihr machen willst, bevor du eine neuere Version installierst. If you wish to keep the old version, make sure that you read the instructions in the INSTALL file regarding the use of the --prefix option to specify where the new version gets installed.
  
Should you just want to do a straightforward replacement instead, make sure that you remove the older version before you install the new version. Do not install over the top of the old version. As new versions of Gramps are developed, some functionality is occasionally rewritten in different ways. If you install over the top of an existing installation you run the risk that the old code left behind from the old version may be used instead of the new, sometimes with unintended consequences. If you installed from source, the best way of removing the old version is to run<code>
+
Should you just want to do a straightforward replacement instead, make sure that you remove the older version before you install the new version. '''Do not install over the top of the old version.''' As new versions of Gramps are developed, some functionality is occasionally rewritten in different ways. If you install over the top of an existing installation you run the risk that the old code left behind from the old version may be used instead of the new, sometimes with unintended consequences. If you installed from source, the best way of removing the old version is to run<code>
  make uninstall</code>
+
  
als root '''from where you installed the old version'''. Verwende den Paketmanager deiner Distribution zur Deinstallation falls deine alte Version als Paket installiert wurde.
+
als root '''von dort wo du die alte Version installiert hast'''. Verwende den Paketmanager deiner Distribution zur Deinstallation falls deine alte Version als Paket installiert wurde.
  
 
'''Beachte du solltest die alte Gramps Version verwenden um Sicherungskopien im Gramps-XML Format zu erstellen, bevor du die alte Version entfernst.'''
 
'''Beachte du solltest die alte Gramps Version verwenden um Sicherungskopien im Gramps-XML Format zu erstellen, bevor du die alte Version entfernst.'''
 
  
 
===Linux===
 
===Linux===
  
GRAMPS bietet ein Skript, dass den Code zur Installation vorbereitet und das Standard configure-Programm aufruft:<code>
+
Gramps bietet ein Skript, dass den Code zur Installation vorbereitet und das Standard configure-Programm aufruft:<code>
 
   ./autogen.sh</code> # als normaler Anwender
 
   ./autogen.sh</code> # als normaler Anwender
  
Line 309: Line 310:
  
 
Eine lokale Installation ohne root-Rechte ist möglich, Anweisungen (in Englisch) sind in der INSTALL Datei enthalten, am wichtigsten ist es muss ein <code>--prefix=</code> und ein <code>--with-mime-dir=</code> Argument in <code>autogen.sh</code> hinzugefügt werden.
 
Eine lokale Installation ohne root-Rechte ist möglich, Anweisungen (in Englisch) sind in der INSTALL Datei enthalten, am wichtigsten ist es muss ein <code>--prefix=</code> und ein <code>--with-mime-dir=</code> Argument in <code>autogen.sh</code> hinzugefügt werden.
 +
 +
==== Siehe auch ====
 +
* $GRAMPSHOME in [[De:Gramps_3.4_Wiki_Handbuch_-_Kommandozeilen_Referenz#Umgebungsvariablen|Umgebungsvariablen]]
 +
* [[Translating_Gramps#.24GRAMPSI18N_.28for_your_locale.29| $GRAMPSI18N (for your locale) ]] (englisch)
 +
* [[Installation_alternatives]] (englisch)
 +
* [[Translating_Gramps#Installing_your_translation]] (englisch)
 +
* [[Howto:Change_the_language_of_reports#Run_GRAMPS_in_a_different_language]] (englisch)
 +
 +
===Mac OS X:Erstellen aus der Quelle===
 +
 +
Es gibt mehrere verschiedene Wege Gramps unter Mac OS X aus der Quelle zu erstellen. Einen Überblick über das Erstellen aus der Quelle findest du unter [[Mac OS X:Build from source]].
 +
 +
[[Mac OS X:Build from source:MacPorts|Macports]] und [[Mac OS X:Build from source:fink|fink]] Versionen von Gramps wurden verwendet.
 +
 +
Die neueste Version von MacPorts Gramps ist '''{{version_MacPort}}'''.
 +
Die letzte offizielle instabile fink Version ist '''3.0.4''' für Mac OS X 10.5 auf PPC und Intel.
 +
Es gibt aktuell keine offizielle stabile fink Version von Gramps. (Stand Februar 2012)
 +
 +
Anweisungen zur Erstellung von einer vor-kompilierten Binär Version (Mac OX X Anwendungspaket) findest du unter [[Mac OS X:Build from source:Application package]]. Einige Diskussionen über frühere Versuche finden sich unter [[Mac OS X:Build from source:gtk-osx]] mit Fehlerberichten auf [[Mac OS X:Build from source:gtk-osx:bugs]]
 +
 +
Einen älteren Ansatz zum erstellen findest du unter [[Mac OS X:Build from source:Native OS X]].
  
 
[[Category:De:Documentation]]
 
[[Category:De:Documentation]]
 +
[[Category:Developers/Installation]]
 +
[[Category:Developers/Packaging]]

Revision as of 02:48, 8 February 2013

Letzte veröffentlichte Version

Die zuletzt veröffentlichte Version ist Gramps 4.1.2. Es kann sein, das sie noch nicht zur Installation für deine Umgebung zur Verfügung steht. Bitte besuche die Downloadseite für mehr Informationen.

Gramps aktualisieren

Gnome-important.png
Warnung

Wenn du von einer älteren Version Gramps aktualisierst, solltest du vorher diesen Anweisungen follgen.

Wenn du von einer älteren Version Gramps aktualisierst, solltest du vorher folgende Schritte durchführen:

  1. Verwende deine alte Version von Gramps' zum Sichern oder Export deines Stammbaums nach Gramps XML (du findest Sicherung im Stammbaummenü der aktuellen Gramps Versionen, sonst verwende Export in dem selben Menü aber deaktiviere die vertraulich Optionen im Exportassistenten um alle Daten zu exportieren).
  2. Deinstalliere deine alte Version von Gramps
  3. Installiere die neue Version von Gramps wie weiter unten beschrieben.
  4. Öffne deinen bestehenden Stammbaum.
  1. Normalerweise funktioniert öffnen und aktualisiert deine Daten wenn benötigt. Wenn erfolgreich speichere die Sicherung, die du erstellt hast, an einem sicheren Ort.
  2. In dem Fall, dass das Öffnen oder Aktualisieren deine bestehenden Stammbaums fehlschlägt, tue folgendes:
  1. Erstelle einen neuen Stammbaum
  2. Importiere deine alten Gramps XML Daten in diesen Stammbaum

Zusätzliche Software, von der Gramps profitiert

Gramps benötigt die folgenden Programme nicht zwingend, sie verbessern aber seine Funktionalität:

  • Rechtschreibprüfung: Die Installation von python-gnome2-extras und python-enchant stellt das gtkspell Modul und das enchant Modul zur Verfügung, welche die Rechtschreibprüfung in den Notizen ermöglichen.
  • Graphviz, Inkscape: Gramps kann damit nette Stammbäume und Graphen erstellen. Diese werden durch das Graphviz Paket erstellt, welches einen Code (dot) wie auch Programme zum erstellen von Grafen (dotty, zum Aufruf von der Kommandozeile) liefert. Dies gib dir als Forscher den größten Einfluss wie deine Grafen aussehen werden, aber es benötigt einen Lernprozess. Eine Alternative ist einen grafischen Bericht zu erstellen, den Baum in eine svg Datei umzuwandeln, welche du dann öffnen/bearbeiten/aufbereiten kannst in z.B. Inkscape.
  • ttf-freefont: Nützliche Schriftarten, da sie UNICODE unterstützen und somit fast jedes Zeichen anzeigen können.
  • XdgUtils is a set of command line tools that assist applications with a variety of desktop integration tasks. About half of the tools focus on tasks commonly required during the installation of a desktop application and the other half focuses on integration with the desktop environment while the application is running. Even if the desktop components of your application are limited to an installer, configuration or management tool, Xdg-utils provides you with an easy way to enhance the usage experience of your customers by improving the integration of these components in the user's environment.
  • pyexiv2 ist ein Modul welches Gramps ermöglicht in Bilder eingebundene Metadaten zu lesen und zu schreiben. Es wird im Metadatenbetrachter und den Bildmetadatengramplets verwendet.

Andere Pakete, die auch nützlich sein können:

  • 'desktop-file-utils: um eine Liste von Programmen zum öffnen von Mediendateien bei einem Rechtsklick auf ein Bild zu sehen.

Linux

Automatischer Download und Installation von Gramps

Bevor du Gramps von dieser Seite herunterlädst, schaue ob das Paketdepot deines Betriebssystems die aktuelle Version 4.1.2 enthält. Du kannst auch Gramps stabil auf Sourceforge besuchen und auf die Versionsnummer des obersten Pakets schauen.

Um die Verfügbarkeit insbesondere für dein Linux Betriebssystem zu überprüfen sind unten einige Möglichkeiten aufgelistet:

Linux Betriebssystem Kommandozeile
Debian basierte Systeme
(Ubuntu & Varianten, Mepis,...)
sudo apt-get install gramps
Gentoo (und Sabayon) sudo emerge gramps
Mandriva sudo urpmi gramps
Redhat based systems
(Fedora, CentOS...)
sudo yum install gramps
OpenSUSE sudo zypper install gramps

Manueller Download und Installation von Gramps

Wenn dein Linux Betriebssystem Repository nicht die aktuelle Version enthält, kann es sein, das du sie von hier herunter laden kannst. Einige hilfreiche Anwender von Gramps haben Pakete für verschiedene Systeme erstellt. Wenn du Glück hast, findest du dein System weiter nachstehend. Wenn es fehlt, kannst du die Entwickler Mailingliste für Vorschläge kontaktieren.

Ubuntu und Derivate

Depot Pakete für Ubuntu und Derivate (Kubuntu, Mephis, LinuxMint, ...): sind verfügbar unterGramps Download Seite.

Gramps-notes.png
Diese Seite benötigt eine Aufräumaktion. Bitte hilf durch überarbeiten der Seite mit, das das Gramps Wiki eine hilfreiche Ressource wird.
Ubuntu (Version) Gramps
Version
Download
(10.10) 3.3.2 gramps_3.3.2-1.deb
(10.04) 3.3.2 gramps_3.3.2-1.deb
(9.10) 3.2.6 gramps_3.2.6-1_Ubuntu09.deb
Jaunty Jackalope (9.04) 3.2.6 gramps_3.2.6-1_Ubuntu09.deb
Intrepid Ibex (8.10) 3.1.3 gramps-3.1.3-1_Ubuntu.deb
Hardy (8.04) 3.1.3 gramps-3.1.3-1_Ubuntu.deb
Gutsy (7.10) 3.0.3 gramps_3.0.3-1_ubuntu710.deb
Feisty (7.04) 2.2.10 Download gramps_2.2.10-1_all.deb
und gramps-help_2.2.10-1_all.deb, und mit deinem Paketmanager installieren.
Dapper, Edgy
und frühere Versionen von Ubuntu
2.2.8 Download gramps_2.2.8-1dapper1_all.deb
und gramps-help_2.2.8-1dapper1_all.deb, und mit ihrem Paketmanager installieren.

Debian

Debian: die letzte Version sollte sich im unstable Depot befinden (Sid Gramps) und kann von deinem Paketmanager aktualisiert werden. Das testing Depot wird 10 Tage später aktualisiert (außer kurz vor einer stabilen Version), siehe Testing Gramps. Veröffentlichte Versionen von Debian ("etch" und "lenny") enthalten ältere Versionen von Gramps, siehe Liste auf Versionen von Gramps in Debian.

SuSE

SuSE: Richard Bos hat die Grampsversion für OpenSuse zur Verfügung gestellt. Das Repository für OpenSUSE 11.1 ist verfügbar unter [1] oder [2]. Beachte zum Zeitpunkt des schhreibens ist dieses Reposutory nicht das selbe wie "Education" aus der Repositoryliste und muss manuel als URL hinzugefügt werden. Das Repository für 11.0 ist [3] und für 10.3 [4]. Für frühere Versionen von OpenSUSE (10.2) siehe den Forumseintrag über erfüllen von Gramps Abhängigkeiten für SuSE mit rbos und SMART. Es gibt noch eine weitere Möglichkeit verwende den openSUSE BuildService.

Mandriva

Mandriva: Neuere Versionen werden manchmal zurück portiert. Um zurück portierte Software zu installieren, musst du das backports Repository aktivieren (stelle sicher, das du die Anweisungen auf dem Mandriva Wiki verstehst). Wenn die neueste Version nicht im backports Repository vorhanden ist, kannst du es im contrib Repository versuchen.

Fedora

Fedora: Für Fedora Core siehe auf der Gramps download Seite nach einem Paket mit fc und der Endung .rpm. Die Alternative zur Installation aus den Quellen, ist das Erstellen eines Pakets (englisch) von einer rpm spec Datei oder ein Binary aus fedora testing zu installieren.

Slackware

Slackware 13.0: Gramps 3.2.5 ist verfügbar über LinuxPackages.

Verschiedene GNU/Linux Distributionen

Verschiedene GNU/Linux Distributionen haben andere bevorzugte Wege Pakete für Gramps herunter zu laden und zu installieren. Bitte lies vor dem Herunterladen die Installationsanweisungen für deine Distribution.

In allen anderen Fällen musst du die Quellpakete herunterladen (die Datei mit der Endung '.tar.gz') und Gramps manuell installieren. Siehe den Abschnitt installieren aus der Quelle für Details.

Gnome und KDE

Du kannst Gramps sowohl in GNOME als auch KDE verwenden, es passt nur besser in GNOME, da es in KDE ein paar wenige Probleme mit GTK gibt. Genauere Informationen über die KDE-Probleme...

Gramps auf Handhelds

Gramps läuft hervorragend auf einigen Handhelds. Anwender waren erfolgreich bei der Verwendung von Gramps auf:

Live CD

Wenn du an Gramps interessiert bist, aber Angst hast oder unfähig bist es zu installieren (fremder PC, Windows, kein Internet zu Hause, Firmenlaptop) dann probiere unsere Linux Genealogie Live-CD. Sie läuft ohne Installation auf die Festplatte und enthält eine Reihe von quelloffenen, kostenlosen Genealogieprogrammen. Du kannst dann jederzeit, wenn du möchtest, Ubuntu 10.10 und Gramps von der CD installieren.

Windows, FreeBSD, MacOs, Solaris

Windows

Es gibt drei verschiedene Möglichkeiten Gramps unter Windows zu Installieren/verwenden. Die Methode die du wählst hängt von deinen Anforderungen und wie viel Arbeit du in die Einrichtung deines Systems strecken willst ab. In der Reihenfolge der Schwierigkeit:

  • Gramps All-in-one installer (AIO) - Obwohl noch in der Entwicklung gibt es mit dem AIO installer die wenigsten Probleme beim Einstieg siehe Alles in einem Softwarepaket für Windows für mehr Informationen.
  • Gramps Portable - Ermöglicht dir das Starten von Gramps von einem portablen Laufwerk und kann auf der lokalen Festplatte installiert werden siehe PortableApps.com Gramps Portable für mehr Informationen.
  • Gramps installer (minimal) - Stabiles Installationsprogramm aber du musst alle Abhängigkeiten von Gramps vor der Installation von Gramps installieren siehe Installing Windows dependencies first.

Mehr Informationen über jede dieser Installationsmethoden gibt es auf der Download Seite.

  • Weitere Informationen für Windowsanwender befinden sich auf der Seite Gramps und Windows.

Installation von der Quelle

Glücklicherweise haben ein paar Leute hierfür einen Windows installer angefertigt. Bis jetzt liegen keine Berichte über schwerwiegende Unterschiede zwischen den offiziellen Builds von Gramps und dem Windows-Installer vor, daher sieht die Zukunft hoffnungsvoll aus, aber bitte verwende ihn auf eigenes Risiko.

Mac OS X

Eine ready-to-run Anwendung für Mac OS X für Intel und PPC Apple Rechner ist seit September 2009 verfügbar. Es ist sehr ratsam die Daten vor der Verwendung des Programms sorgfältig zu sichern (besonders wenn du von einer früheren Gramps Version aktualisierst).

Bitte lies die Installationsanleitung unter Mac OS X:Application package bevor du das Programm verwendest.

Free/OpenBSD und Solaris

Für FreeBSD und Solaris existieren unterhalb experimentelle Anleitungen zur Installation.

  • Für FreeBSD verwende die #3228.
  • Für OpenBSD verwende gramps port
  • Die Installation unter BSD ist ähnlich wie die unter Linux, abgesehen von evtl. anderen Paketnamen. Weitere Informationen gibt es auf der BSD Seite.
  • Gramps wurde erfollgreich vom Quellkode installiert auf Solaris 10 (SPARC) und OpenSolaris X86 (2008.05). Bitte schau auf die Solaris Seite für Schritt für Schritt Anleitung.

Installation von den Quellen

Allgemeine Anforderungen

Gramps 4.1.2 benötigt python 2.6 oder höher, pygtk 2.16 oder höher und librsvg2

Benötigte Linux Pakete

Debian /Ubuntu Fedora /Redhat Comment
python python Benötigt (Version 2.6 oder höher)
pygtk2 pygtk2 Benötigt (Version 2.16 oder höher)
xdg-utils xdg-utils Benötigt für Gramps-3.1.x oder höher
BSDDB BSDDB Aktuelle Datenbank
rcs rcs Empfohlen für den Betrieb
python-gnome2-extras gnome-python2-gtkspell Empfohlen für den Betrieb (Rechtschreibprüfung)
librsvg2-common librsvg2 Erforderlich für die Erstellung
libglib2.0-dev Erforderlich für die Erstellung
librsvg2-devel Erforderlich für die Erstellung
intltool intltool Erforderlich für die Erstellung
gcc make gettext Erforderlich für die Erstellung
WebKit-gtk pywebkitgtk Benötigt für HTML
goocanvas pygoocanvas Benötigt für HTML
graphviz graphviz-python Benötigt für einige Berichte und Ansichten
Django Benötigt für http://gramps-connect.org Gramps-Connect
python-pyexiv2 pyexiv2 Benötigt für Metadata Viewer und Image Metadata gramplets
libosmgpsmap-dev python-osmgpsmap osm-gps-map Benötigt für die Geografieansichten
gtk2-engines-pixbuf Behebt das Prooblem 'Unable to locate theme engine in module_path: "pixmap"'

Unter Redhat/Fedora kannst du alles oben aufgeführte installieren mit:

sudo yum install python pygtk2 xdg-utils rcs gnome-python2-gtkspell librsvg2 \
 librsvg2-devel gnome-common intltool gnome-doc-utils gcc make gettext WebKit-gtk \
 pywebkitgtk goocanvas pygoocanvas graphviz graphviz-python Django

Quellen herunterladen

Es gibt zwei Wege an den Quellcode zu gelangen: download a stable version source, or checkout the source from svn. Jetzt ist es Zeit die INSTALL und README Datei zu lesen, die dem Code beigefügt sind. Sie enthalten die neuesten Informationen. Details zu jeder download Methode:

1. Download einer stabilen Version

  • Die letzten stabile Version von Gramps findest du im SourceForge Datei Bereich. Z.B.:gramps-4.1.2.tar.gz. Entpacke diese Datei in ein Verzeichnis:
  tar xzvf gramps-zzz.tar.gz

wechsele in dieses Verzeichnis:

  cd gramps-zzz

  • Wenn du an der letzten Entwicklerversion interessiert bist, versuche es mit SVN (Kurzanleitung SVN. Die SVN-Version von Gramps ist potenziell gefährlich, da sie nicht getestet wurde. Sie kann zu Abstürzen und Datenverlusten führen. Bitte verwende sie mit Vorsicht- und nur mit einer Kopie deiner Daten!

2. Herunterladen von SVN

You can get a branch version (similar as above) or the latest bleeding-edge version through SVN, such as:

 svn co https://svn.code.sf.net/p/gramps/code/tags/gramps-3.4.2/ gramps

für die letzte Entwickler Version siehe Mit Gramps Trunk beginnen.

Gramps aktualisieren

Wenn du eine ältere Version von Gramps aus den Quellen installiert hast, musst du dich entscheiden, was du mit ihr machen willst, bevor du eine neuere Version installierst. If you wish to keep the old version, make sure that you read the instructions in the INSTALL file regarding the use of the --prefix option to specify where the new version gets installed.

Should you just want to do a straightforward replacement instead, make sure that you remove the older version before you install the new version. Do not install over the top of the old version. As new versions of Gramps are developed, some functionality is occasionally rewritten in different ways. If you install over the top of an existing installation you run the risk that the old code left behind from the old version may be used instead of the new, sometimes with unintended consequences. If you installed from source, the best way of removing the old version is to run

als root von dort wo du die alte Version installiert hast. Verwende den Paketmanager deiner Distribution zur Deinstallation falls deine alte Version als Paket installiert wurde.

Beachte du solltest die alte Gramps Version verwenden um Sicherungskopien im Gramps-XML Format zu erstellen, bevor du die alte Version entfernst.

Linux

Gramps bietet ein Skript, dass den Code zur Installation vorbereitet und das Standard configure-Programm aufruft:<code>

  ./autogen.sh # als normaler Anwender

Dieses Skript wird alle fehlenden Pakete bemängeln. Installiere diese (siehe INSTALL-Datei). Das bauen von den Quellen erfordert normalerweise, dass die Entwicklungsversionen der Pakete installiert sind (paketxy-devel). Wenn du möchtest kannst du einen prefix-Pfad für GRAMPs in der autogen.sh setzen, lies hier zu die INSTALL-Datei. Der Standard-Installationsordner ist /usr/local.

Wenn autogen.sh erfolgreich gelaufen ist, kann die typische make-Prozedur beginnen:

  make  # als normaler Anwender

dann

  make install  # als root

Eine lokale Installation ohne root-Rechte ist möglich, Anweisungen (in Englisch) sind in der INSTALL Datei enthalten, am wichtigsten ist es muss ein --prefix= und ein --with-mime-dir= Argument in autogen.sh hinzugefügt werden.

Siehe auch

Mac OS X:Erstellen aus der Quelle

Es gibt mehrere verschiedene Wege Gramps unter Mac OS X aus der Quelle zu erstellen. Einen Überblick über das Erstellen aus der Quelle findest du unter Mac OS X:Build from source.

Macports und fink Versionen von Gramps wurden verwendet.

Die neueste Version von MacPorts Gramps ist 3.4.8. Die letzte offizielle instabile fink Version ist 3.0.4 für Mac OS X 10.5 auf PPC und Intel. Es gibt aktuell keine offizielle stabile fink Version von Gramps. (Stand Februar 2012)

Anweisungen zur Erstellung von einer vor-kompilierten Binär Version (Mac OX X Anwendungspaket) findest du unter Mac OS X:Build from source:Application package. Einige Diskussionen über frühere Versuche finden sich unter Mac OS X:Build from source:gtk-osx mit Fehlerberichten auf Mac OS X:Build from source:gtk-osx:bugs

Einen älteren Ansatz zum erstellen findest du unter Mac OS X:Build from source:Native OS X.